package com.starbuds.server.service.feed;

import com.starbuds.server.service.feed.rocket.RocketConsumer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * SpringBoot 入口
 *
 * @author Lay
 * @date 2019/11/27
 */
@SpringBootApplication
@Slf4j
public class Application implements CommandLineRunner {

    public static void main(String[] args) {
        System.setProperty("app.name", "service-feed");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[service-feed] started.");
    }

    @Autowired
    private RocketConsumer rocketConsumer;

    @Override
    public void run(String... args) throws Exception {
        // 启动消息队列监听
        rocketConsumer.start();
    }
}
